src/main/java/com/servlet/chapter16/SalesBean.java

package com.servlet.chapter16;

public class SalesBean {
  
  private double q1, q2, q3, q4;
  
  public SalesBean(double q1Sales, double q2Sales, double q3Sales, double q4Sales) {
    q1 = q1Sales;
    q2 = q2Sales;
    q3 = q3Sales;
    q4 = q4Sales;
  }
  
  public double getQ1() {
    return (q1);
  }
  
  public double getQ2() {
    return (q2);
  }
  
  public double getQ3() {
    return (q3);
  }
  
  public double getQ4() {
    return (q4);
  }
  
  public double getTotal() {
    return (q1 + q2 + q3 + q4);
  }
}

src/main/webapp/chap16/el/bean-properties.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<HTML>
<HEAD>
<TITLE>Accessing Bean Properties</TITLE>
<LINK REL=STYLESHEET HREF="/minhnd.servlet.jsp/chap16//el/JSP-Styles.css" TYPE="text/css">
</HEAD>
<BODY>
  <TABLE BORDER=5 ALIGN="CENTER">
    <TR>
      <TH CLASS="TITLE">Accessing Bean Properties</TH></TR>
  </TABLE>
  <P>
  <UL>
    <LI><B>First Name:</B> ${employee.name.firstName}</LI>
    <LI><B>Last Name:</B> ${employee.name.lastName}</LI>
    <LI><B>Company Name:</B> ${employee.company.companyName}</LI>
    <LI><B>Company Business:</B> ${employee.company.business}</LI>
  </UL>
</BODY>
</HTML>

src/main/webapp/chap16/el/collections.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<HTML>
<HEAD>
<TITLE>Accessing Collections</TITLE>
<LINK REL=STYLESHEET HREF="/minhnd.servlet.jsp/chap16/el/JSP-Styles.css" TYPE="text/css">
</HEAD>
<BODY>
  <TABLE BORDER=5 ALIGN="CENTER">
    <TR>
      <TH CLASS="TITLE">Accessing Collections</TH></TR>
  </TABLE>
  <P>
  <UL>
    <LI>${first[0]}${last[0]} (${company["Ellison"]})</LI>
    <LI>${first[1]}${last[1]} (${company["Gates"]})</LI>
    <LI>${first[2]}${last[2]} (${company["McNealy"]})</LI>
  </UL>
</BODY>
</HTML>

src/main/webapp/chap16/el/conditionals.jsp
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
<HEAD>
<TITLE>Conditional Evaluation</TITLE>
<LINK REL=STYLESHEET HREF="/minhnd.servlet.jsp/chap16/el/JSP-Styles.css" TYPE="text/css">
</HEAD>
<BODY>
  <TABLE BORDER=5 ALIGN="CENTER">
    <TR>
      <TH CLASS="TITLE">Conditional Evaluation</TH>
    </TR>
  </TABLE>
  <P>
  <TABLE BORDER=1 ALIGN="CENTER">
    <TR>
      <TH>
      <TH CLASS="COLORED">Apples</TH>
      <TH CLASS="COLORED">Oranges</TH>
    </TR>
    <TR>
      <TH CLASS="COLORED">First Quarter</TH>
      <TD ALIGN="RIGHT">${apples.q1}</TD>
      <TD ALIGN="RIGHT">${oranges.q1}</TD>
    </TR>
    <TR>
      <TH CLASS="COLORED">Second Quarter</TH>
      <TD ALIGN="RIGHT">${apples.q2}</TD>
      <TD ALIGN="RIGHT">${oranges.q2}</TD>
    </TR>
    <TR>
      <TH CLASS="COLORED">Third Quarter</TH>
      <TD ALIGN="RIGHT">${apples.q3}</TD>
      <TD ALIGN="RIGHT">${oranges.q3}</TD>
    </TR>
    <TR>
      <TH CLASS="COLORED">Fourth Quarter</TH>
      <TD ALIGN="RIGHT">${apples.q4}</TD>
      <TD ALIGN="RIGHT">${oranges.q4}</TD>
    </TR>
    <TR>
      <TH CLASS="COLORED">Total</TH>
      <TD ALIGN="RIGHT" BGCOLOR="${(apples.total < 0) ? 'RED' : 'WHITE' }">${apples.total}</TD>
      <TD ALIGN="RIGHT" BGCOLOR="${(oranges.total < 0) ? 'RED' : 'WHITE' }">${oranges.total}</TD>
    </TR>
  </TABLE>
</BODY>
</HTML>

src/main/webapp/chap16/el/scoped-vars.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<HTML>
<HEAD>
<TITLE>Accessing Scoped Variables</TITLE>
<LINK REL=STYLESHEET HREF="/minhnd.servlet.jsp/chap16/el/JSP-Styles.css" TYPE="text/css">
</HEAD>
<BODY>
  <TABLE BORDER=5 ALIGN="CENTER">
    <TR>
      <TH CLASS="TITLE">Accessing Scoped Variables</TH>
    </TR>
  </TABLE>
  <P>
  <UL>
    <LI><B>attribute1:</B> ${attribute1}</LI>
    <LI><B>attribute2:</B> ${attribute2}</LI>
    <LI><B>attribute3:</B> ${attribute3}</LI>
    <LI><B>Source of "repeated" attribute:</B> ${repeated}</LI>
  </UL>
</BODY>
</HTML>